# Copyright (c) 2006 by BlueDynamics Tyrol - Klein und Partner KEG, Austria
#
# GNU General Public License (GPL)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#

__author__ = """Jens Klein <jens@bluedynamics.com>"""
__docformat__ = 'plaintext'
from Products.PluggableAuthService.interfaces.plugins import IGroupsPlugin

def install( portal ):
    pas = portal.acl_users
    registry = pas.plugins
    groupplugins = [id for id, pi in registry.listPlugins(IGroupsPlugin)]
    if 'group_by_ip' not in groupplugins:
        factories = pas.manage_addProduct['PASGroupByIP']    
        factories.addGroupByIPPlugin('group_by_ip', 'Group by IP-address')
        registry.activatePlugin(IGroupsPlugin, 'group_by_ip' )
 
def uninstall( portal ):
    pas = portal.acl_users
    registry = pas.plugins
    registry.deactivatePlugin(IGroupsPlugin, 'group_by_ip')
    
    # TODO (?) Remove object from PAS
 