# Copyright (c) 2006 by BlueDynamics Tyrol - Klein und Partner KEG, Austria
#
# GNU General Public License (GPL)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#
__author__ = """Jens Klein <jens@bluedynamics.com>"""
__docformat__ = 'plaintext'

from zLOG import LOG, INFO
LOG('PASGroupByIP', INFO, 'Installing Product')

from Globals import InitializeClass
from AccessControl.Permissions import add_user_folders
from Products.CMFCore import DirectoryView
from Products.PluggableAuthService import registerMultiPlugin
from Products.PASGroupByIP._plugin import GroupByIPPlugin
from Products.PASGroupByIP._plugin import manage_addGroupByIPPluginForm
from Products.PASGroupByIP._plugin import addGroupByIPPlugin

def initialize(context):
    registerMultiPlugin(GroupByIPPlugin.meta_type)

    context.registerClass(
        GroupByIPPlugin,
        permission = add_user_folders,
        constructors = (
            manage_addGroupByIPPluginForm,
            addGroupByIPPlugin,
        ),
        visibility = None
    )



